/******************************************************************************
*     NMaker:  NoiseMaker Command Line tool for playing sounds                *
*     Copyright (C) 1998, 1999                                                *
*          Anthony Quinn   <southgat@frontiernet.net>                         *
*          Pascal Hofstee  <daeron@shadowmere.student.utwente.nl>             *
*                                                                             *
*     This program is free software: you can redistribute it and/or modify    *
*     it under the terms of the GNU General Public License as published by    *
*     the Free software Foundattion; either version 2 of the License, or      *
*     (at your option) any later version.                                     *
*                                                                             *
*     This program is distributed in the hope that it will be usefull,        *
*     but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            *
*     GNU General Public License for more details.                            *
*                                                                             *
*     You should have received a copy of the GNU General Public License       *
*     along with this program; if not, write to the Free Software             *
*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               *
******************************************************************************/

#include "../lib/wmsnd.h"

char *ProgName;

int
main(int argc, char **argv) {
	char *sndfile;
	
	ProgName = argv[0];
	
	if ((!argv[1] || strstr(argv[1], "-h"))) {
		printf("usage: %s <sound file>\n\r",ProgName);
		exit(1);
	}
	
	/* TODO
	 * Need to add searching for files in SoundPath
	 */
	sndfile = argv[1];
	if (!wmsndPlaySound(sndfile))
		wmsndPlaySoundCore(sndfile);
	
	return 0;
}

